import { jsx } from "react/jsx-runtime";
import NumberFlow, { NumberFlowGroup } from "@number-flow/react";
import { Box } from "../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.mjs";
function AnimatedNumber({ value, ...props }) {
  return /* @__PURE__ */ jsx(Box, { component: NumberFlow, value, ...props });
}
function AnimatedNumberGroup({ children, ...props }) {
  return /* @__PURE__ */ jsx(Box, { component: NumberFlowGroup, ...props, children });
}
AnimatedNumber.Group = AnimatedNumberGroup;
export {
  AnimatedNumber
};
